Package pyplusplus :: Package code_creators :: Module module_body :: Class module_body_t

# type module_body_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                compound.compound_t --+
                                      |
                                     module_body_t

Instance Methods

__init__(self, name) Constructor. | source code

Inherited from `compound.compound_t`: `adopt_creator`, `adopt_creators`, `get_system_headers`, `remove_creator` Inherited from `code_creator.code_creator_t`: `beautify`, `create`

Static Methods
Inherited from `compound.compound_t`: `create_internal_code` Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| name
Inherited from `compound.compound_t`: `creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, name)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### name

Get Method:
  _get_name(self)